## WebKitDOMHTMLButtonElement WebKitDOMHTMLButtonElement |

## Functions

gboolean | webkit_dom_html_button_element_get_autofocus ()
void | webkit_dom_html_button_element_set_autofocus ()
gboolean | webkit_dom_html_button_element_get_disabled ()
void | webkit_dom_html_button_element_set_disabled ()
WebKitDOMHTMLFormElement * | webkit_dom_html_button_element_get_form ()
gchar * | webkit_dom_html_button_element_get_button_type ()
void | webkit_dom_html_button_element_set_button_type ()
gchar * | webkit_dom_html_button_element_get_name ()
void | webkit_dom_html_button_element_set_name ()
gchar * | webkit_dom_html_button_element_get_value ()
void | webkit_dom_html_button_element_set_value ()
gboolean | webkit_dom_html_button_element_get_will_validate ()

## Properties

gboolean | autofocus | Read / Write
gboolean | disabled | Read / Write
WebKitDOMHTMLFormElement * | form | Read
char * | name | Read / Write
char * | type | Read / Write
char * | value | Read / Write
gboolean | will-validate | Read

## Types and Values

struct | WebKitDOMHTMLButtonElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLButtonElement

## Implemented Interfaces

WebKitDOMHTMLButtonElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_button_element_get_autofocus ()

    gboolean
    webkit_dom_html_button_element_get_autofocus
                                   (WebKitDOMHTMLButtonElement *self);

`webkit_dom_html_button_element_get_autofocus` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gboolean

### webkit_dom_html_button_element_set_autofocus ()

    void
    webkit_dom_html_button_element_set_autofocus
                                   (WebKitDOMHTMLButtonElement *self,
                                    gboolean value);

`webkit_dom_html_button_element_set_autofocus` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLButtonElement |
value | A gboolean |

### webkit_dom_html_button_element_get_disabled ()

    gboolean
    webkit_dom_html_button_element_get_disabled
                                   (WebKitDOMHTMLButtonElement *self);

`webkit_dom_html_button_element_get_disabled` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gboolean

### webkit_dom_html_button_element_set_disabled ()

    void
    webkit_dom_html_button_element_set_disabled
                                   (WebKitDOMHTMLButtonElement *self,
                                    gboolean value);

`webkit_dom_html_button_element_set_disabled` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLButtonElement |
value | A gboolean |

### webkit_dom_html_button_element_get_form ()

    WebKitDOMHTMLFormElement *
    webkit_dom_html_button_element_get_form
                                   (WebKitDOMHTMLButtonElement *self);

`webkit_dom_html_button_element_get_form` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A WebKitDOMHTMLFormElement.

[transfer none]

### webkit_dom_html_button_element_get_button_type ()

    gchar *
    webkit_dom_html_button_element_get_button_type
                                   (WebKitDOMHTMLButtonElement *self);

`webkit_dom_html_button_element_get_button_type` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gchar

### webkit_dom_html_button_element_set_button_type ()

    void
    webkit_dom_html_button_element_set_button_type
                                   (WebKitDOMHTMLButtonElement *self,
                                    const gchar *value);

`webkit_dom_html_button_element_set_button_type` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLButtonElement |
value | A gchar |

### webkit_dom_html_button_element_get_name ()

    gchar *
    webkit_dom_html_button_element_get_name
                                   (WebKitDOMHTMLButtonElement *self);

`webkit_dom_html_button_element_get_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gchar

### webkit_dom_html_button_element_set_name ()

    void
    webkit_dom_html_button_element_set_name
                                   (WebKitDOMHTMLButtonElement *self,
                                    const gchar *value);

`webkit_dom_html_button_element_set_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLButtonElement |
value | A gchar |

### webkit_dom_html_button_element_get_value ()

    gchar *
    webkit_dom_html_button_element_get_value
                                   (WebKitDOMHTMLButtonElement *self);

`webkit_dom_html_button_element_get_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gchar

### webkit_dom_html_button_element_set_value ()

    void
    webkit_dom_html_button_element_set_value
                                   (WebKitDOMHTMLButtonElement *self,
                                    const gchar *value);

`webkit_dom_html_button_element_set_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLButtonElement |
value | A gchar |

### webkit_dom_html_button_element_get_will_validate ()

    gboolean
    webkit_dom_html_button_element_get_will_validate
                                   (WebKitDOMHTMLButtonElement *self);

`webkit_dom_html_button_element_get_will_validate` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gboolean

## Types and Values

### struct WebKitDOMHTMLButtonElement

    struct WebKitDOMHTMLButtonElement;

## Property Details

### The `“autofocus”` property

      “autofocus”                gboolean

read-write gboolean HTMLButtonElement:autofocus.

Owner: WebKitDOMHTMLButtonElement

Flags: Read / Write

Default value: FALSE

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean HTMLButtonElement:disabled.

Owner: WebKitDOMHTMLButtonElement

Flags: Read / Write

Default value: FALSE

### The `“form”` property

      “form”                     WebKitDOMHTMLFormElement *

read-only WebKitDOMHTMLFormElement* HTMLButtonElement:form.

Owner: WebKitDOMHTMLButtonElement

Flags: Read

### The `“name”` property

      “name”                     char *

read-write gchar* HTMLButtonElement:name.

Owner: WebKitDOMHTMLButtonElement

Flags: Read / Write

Default value: ""

### The `“type”` property

      “type”                     char *

read-write gchar* HTMLButtonElement:type.

Owner: WebKitDOMHTMLButtonElement

Flags: Read / Write

Default value: ""

### The `“value”` property

      “value”                    char *

read-write gchar* HTMLButtonElement:value.

Owner: WebKitDOMHTMLButtonElement

Flags: Read / Write

Default value: ""

### The `“will-validate”` property

      “will-validate”            gboolean

read-only gboolean HTMLButtonElement:will-validate.

Owner: WebKitDOMHTMLButtonElement

Flags: Read

Default value: FALSE